clear
echo "Welcome to LoLTR: LoL Mac Traceroute!"
echo ""

title="Select Server to Trace"
prompt="Pick an Option:  "
options=("North America" "Europe-West" "Europe-Nordic/East" "Oceania")

NA1="216.133.234.62"
NA2="192.64.170.62"
EUW1="31.186.224.112"
EUW2="95.172.65.154"
EUNE1="31.186.224.42"
EUNE2="95.172.65.100"
OCE1="192.64.169.1"
OCE2="59.100.95.128"
BR1="8.23.24.4"
BR2="8.23.24.100"

question=("Yes" "No")
vari="Would you like to continue:"
file="/usr/local/sbin/mtr*"
if [ ! -e $file ]; 
then
echo "DISCLAIMER: LoL Mac Tracer requires MTR to be installed and run."  
echo "For more information: http://en.wikipedia.org/wiki/MTR_(software)"
echo ""
echo "Would you like to install MTR?"
echo ""
PS3="$vari"
select opt in "${question[@]}"; do
	case "$REPLY" in
		1) echo "Installing MTR..."
		echo ""
		echo "Please Enter Mac Password when Prompted."
		echo "NO PERSONAL INFORMATION IS GATHERED OR SAVED"
		echo ""
		echo "HINT: If you have no Mac Password enter nothing.  If you have entered your password in Terminal previously, it will not prompt for one."
echo ""
sudo installer -pkg ~/Desktop/LoLTR/MTR.pkg -target / > nul
echo "MTR INSTALLED!"
echo ""
read -p "Press Enter to continue..."
clear

echo "Welcome to LoLTR: LoL Mac Traceroute!"
echo ""

echo "$title"
PS3="$prompt"
select opt in "${options[@]}" "Quit"; do
	case "$REPLY" in
		1) echo ""
		echo "Running Traceroute to $opt ($REPLY)..."
		echo "(Please wait for it to complete!)"
		echo ""
		echo "NA Server Tracer Test" > ~/Desktop/"NA_$(date +%m-%d-%y).txt"
		echo "GENERATED: $(date '+%m-%d-%Y @ %H-%M-%S')" >> ~/Desktop/"NA_$(date +%m-%d-%y).txt"
		echo '' >> ~/Desktop/"NA_$(date +%m-%d-%y).txt"
		echo "SERVER: $NA1" >> ~/Desktop/"NA_$(date +%m-%d-%y).txt"
		mtr --report --report-cycles 10 $NA1 >> ~/Desktop/"NA_$(date +%m-%d-%y).txt"
		echo '' >> ~/Desktop/"NA_$(date +%m-%d-%y).txt"
		echo "SERVER: $NA2" >> ~/Desktop/"NA_$(date +%m-%d-%y).txt"
		mtr --report --report-cycles 10 $NA2 >> ~/Desktop/"NA_$(date +%m-%d-%y).txt"
		echo "Traceroute to $opt ($REPLY) Completed!"
		echo ''
		echo "If that was the last traceroute required, select Quit (5) after the prompt."
		echo ''
		read -p "Press [Enter] key to continue..."
		clear
		echo "Welcome to LoLTR: LoL Mac Traceroute!"
		echo ""
		echo "$title"
		PS3="$prompt";;
		
		2) echo ""
		echo "Running Traceroute to $opt ($REPLY)..."
		echo "(Please wait for it to complete!)"
		echo ""
		echo "EUW Server Tracer Test" > ~/Desktop/"EUW_$(date +%m-%d-%y).txt"
		echo "GENERATED: $(date '+%m-%d-%Y @ %H-%M-%S')" >> ~/Desktop/"EUW_$(date +%m-%d-%y).txt"
		echo '' >> ~/Desktop/"EUW_$(date +%m-%d-%y).txt"
		echo "SERVER: $EUW1" >> ~/Desktop/"EUW_$(date +%m-%d-%y).txt"
		mtr --report --report-cycles 10 $EUW1 >> ~/Desktop/"EUW_$(date +%m-%d-%y).txt"
		echo '' >> ~/Desktop/"EUW_$(date +%m-%d-%y).txt"
		echo "SERVER: $EUW2" >> ~/Desktop/"EUW_$(date +%m-%d-%y).txt"
		mtr --report --report-cycles 10 $EUW2 >> ~/Desktop/"EUW_$(date +%m-%d-%y).txt"
		echo "Traceroute to $opt ($REPLY) Completed!"
		echo ''
		echo "If that was the last traceroute required, select Quit (5) after the prompt."
		echo ''
		read -p "Press [Enter] key to continue..."
		clear
		echo "Welcome to LoLTR: LoL Mac Traceroute!"
		echo ""
		echo "$title"
		PS3="$prompt";;
		
		3) echo ""
		echo "Running Traceroute to $opt ($REPLY)..."
		echo "(Please wait for it to complete!)"
		echo ""
		echo "EUNE Server Tracer Test" > ~/Desktop/"EUNE_$(date +%m-%d-%y).txt"
		echo "GENERATED: $(date '+%m-%d-%Y @ %H-%M-%S')" >> ~/Desktop/"EUNE_$(date +%m-%d-%y).txt"
		echo '' >> ~/Desktop/"EUNE_$(date +%m-%d-%y).txt"
		echo "SERVER: $EUNE1" >> ~/Desktop/"EUNE_$(date +%m-%d-%y).txt"
		mtr --report --report-cycles 10 $EUNE1 >> ~/Desktop/"EUNE_$(date +%m-%d-%y).txt"
		echo '' >> ~/Desktop/"EUNE_$(date +%m-%d-%y).txt"
		echo "SERVER: $EUNE2" >> ~/Desktop/"EUNE_$(date +%m-%d-%y).txt"
		mtr --report --report-cycles 10 $EUNE2 >> ~/Desktop/"EUNE_$(date +%m-%d-%y).txt"
		echo "Traceroute to $opt ($REPLY) Completed!"
		echo ''
		echo "If that was the last traceroute required, select Quit (5) after the prompt."
		echo ''
		read -p "Press [Enter] key to continue..."
		clear
		echo "Welcome to LoLTR: LoL Mac Traceroute!"
		echo ""
		echo "$title"
		PS3="$prompt";;
		
		4) echo ""
		echo "Running Traceroute to $opt ($REPLY)..."
		echo "(Please wait for it to complete!)"
		echo ""
		echo "OCE Server Tracer Test" > ~/Desktop/"OCE_$(date +%m-%d-%y).txt"
		echo "GENERATED: $(date '+%m-%d-%Y @ %H-%M-%S')" >> ~/Desktop/"OCE_$(date +%m-%d-%y).txt"
		echo '' >> ~/Desktop/"OCE_$(date +%m-%d-%y).txt"
		echo "SERVER: $OCE1" >> ~/Desktop/"OCE_$(date +%m-%d-%y).txt"
		mtr --report --report-cycles 10 $OCE1 >> ~/Desktop/"OCE_$(date +%m-%d-%y).txt"
		echo '' >> ~/Desktop/"OCE_$(date +%m-%d-%y).txt"
		echo "SERVER: $OCE2" >> ~/Desktop/"OCE_$(date +%m-%d-%y).txt"
		mtr --report --report-cycles 10 $OCE2 >> ~/Desktop/"OCE_$(date +%m-%d-%y).txt"
		echo "Traceroute to $opt ($REPLY) Completed!"
		echo ''
		echo "If that was the last traceroute required, select Quit (5) after the prompt."
		echo ''
		read -p "Press [Enter] key to continue..."
		clear
		echo "Welcome to LoLTR: LoL Mac Traceroute!"
		echo ""
		echo "$title"
		PS3="$prompt";;
		
		$(( ${#options[@]}+1)) ) echo""; echo "REMEMBER: Send Tracer Tests generated on your Desktop to your Technical Support Specialist!"; echo ""; read -p "Press [Enter] key to exit..."; killall Terminal;;
		*) echo "Invalid Option.  Try another one."; continue;;
	esac
done;;
		2) echo ""
		echo "MTR was not installed."
		echo ""
		read -p "Press [Enter] to exit..."
		exit & killall Terminal;;
	esac
done
else
	
echo "$title"
PS3="$prompt"
select opt in "${options[@]}" "Quit"; do
	case "$REPLY" in
		1) echo ""
		echo "Running Traceroute to $opt ($REPLY)..."
		echo "(Please wait for it to complete!)"
		echo ""
		echo "NA Server Tracer Test" > ~/Desktop/"NA_$(date +%m-%d-%y).txt"
		echo "GENERATED: $(date '+%m-%d-%Y @ %H-%M-%S')" >> ~/Desktop/"NA_$(date +%m-%d-%y).txt"
		echo '' >> ~/Desktop/"NA_$(date +%m-%d-%y).txt"
		echo "SERVER: $NA1" >> ~/Desktop/"NA_$(date +%m-%d-%y).txt"
		mtr --report --report-cycles 10 $NA1 >> ~/Desktop/"NA_$(date +%m-%d-%y).txt"
		echo '' >> ~/Desktop/"NA_$(date +%m-%d-%y).txt"
		echo "SERVER: $NA2" >> ~/Desktop/"NA_$(date +%m-%d-%y).txt"
		mtr --report --report-cycles 10 $NA2 >> ~/Desktop/"NA_$(date +%m-%d-%y).txt"
		echo "Traceroute to $opt ($REPLY) Completed!"
		echo ''
		echo "If that was the last traceroute required, select Quit (5) after the prompt."
		echo ''
		read -p "Press [Enter] key to continue..."
		clear
		echo "Welcome to LoLTR: LoL Mac Traceroute!"
		echo ""
		echo "$title"
		PS3="$prompt";;
		
		2) echo ""
		echo "Running Traceroute to $opt ($REPLY)..."
		echo "(Please wait for it to complete!)"
		echo ""
		echo "EUW Server Tracer Test" > ~/Desktop/"EUW_$(date +%m-%d-%y).txt"
		echo "GENERATED: $(date '+%m-%d-%Y @ %H-%M-%S')" >> ~/Desktop/"EUW_$(date +%m-%d-%y).txt"
		echo '' >> ~/Desktop/"EUW_$(date +%m-%d-%y).txt"
		echo "SERVER: $EUW1" >> ~/Desktop/"EUW_$(date +%m-%d-%y).txt"
		mtr --report --report-cycles 10 $EUW1 >> ~/Desktop/"EUW_$(date +%m-%d-%y).txt"
		echo '' >> ~/Desktop/"EUW_$(date +%m-%d-%y).txt"
		echo "SERVER: $EUW2" >> ~/Desktop/"EUW_$(date +%m-%d-%y).txt"
		mtr --report --report-cycles 10 $EUW2 >> ~/Desktop/"EUW_$(date +%m-%d-%y).txt"
		echo "Traceroute to $opt ($REPLY) Completed!"
		echo ''
		echo "If that was the last traceroute required, select Quit (5) after the prompt."
		echo ''
		read -p "Press [Enter] key to continue..."
		clear
		echo "Welcome to LoLTR: LoL Mac Traceroute!"
		echo ""
		echo "$title"
		PS3="$prompt";;
		
		3) echo ""
		echo "Running Traceroute to $opt ($REPLY)..."
		echo "(Please wait for it to complete!)"
		echo ""
		echo "EUNE Server Tracer Test" > ~/Desktop/"EUNE_$(date +%m-%d-%y).txt"
		echo "GENERATED: $(date '+%m-%d-%Y @ %H-%M-%S')" >> ~/Desktop/"EUNE_$(date +%m-%d-%y).txt"
		echo '' >> ~/Desktop/"EUNE_$(date +%m-%d-%y).txt"
		echo "SERVER: $EUNE1" >> ~/Desktop/"EUNE_$(date +%m-%d-%y).txt"
		mtr --report --report-cycles 10 $EUNE1 >> ~/Desktop/"EUNE_$(date +%m-%d-%y).txt"
		echo '' >> ~/Desktop/"EUNE_$(date +%m-%d-%y).txt"
		echo "SERVER: $EUNE2" >> ~/Desktop/"EUNE_$(date +%m-%d-%y).txt"
		mtr --report --report-cycles 10 $EUNE2 >> ~/Desktop/"EUNE_$(date +%m-%d-%y).txt"
		echo "Traceroute to $opt ($REPLY) Completed!"
		echo ''
		echo "If that was the last traceroute required, select Quit (5) after the prompt."
		echo ''
		read -p "Press [Enter] key to continue..."
		clear
		echo "Welcome to LoLTR: LoL Mac Traceroute!"
		echo ""
		echo "$title"
		PS3="$prompt";;
		
		4) echo ""
		echo "Running Traceroute to $opt ($REPLY)..."
		echo "(Please wait for it to complete!)"
		echo ""
		echo "OCE Server Tracer Test" > ~/Desktop/"OCE_$(date +%m-%d-%y).txt"
		echo "GENERATED: $(date '+%m-%d-%Y @ %H-%M-%S')" >> ~/Desktop/"OCE_$(date +%m-%d-%y).txt"
		echo '' >> ~/Desktop/"OCE_$(date +%m-%d-%y).txt"
		echo "SERVER: $OCE1" >> ~/Desktop/"OCE_$(date +%m-%d-%y).txt"
		mtr --report --report-cycles 10 $OCE1 >> ~/Desktop/"OCE_$(date +%m-%d-%y).txt"
		echo '' >> ~/Desktop/"OCE_$(date +%m-%d-%y).txt"
		echo "SERVER: $OCE2" >> ~/Desktop/"OCE_$(date +%m-%d-%y).txt"
		mtr --report --report-cycles 10 $OCE2 >> ~/Desktop/"OCE_$(date +%m-%d-%y).txt"
		echo "Traceroute to $opt ($REPLY) Completed!"
		echo ''
		echo "If that was the last traceroute required, select Quit (5) after the prompt."
		echo ''
		read -p "Press [Enter] key to continue..."
		clear
		echo "Welcome to LoLTR: LoL Mac Traceroute!"
		echo ""
		echo "$title"
		PS3="$prompt";;
		
		$(( ${#options[@]}+1)) ) echo""; 
		echo "REMEMBER: Send TRACEROUTES generated on your Desktop to your Technical Support Specialist!"; 
		echo ""; 
		read -p "Press [Enter] key to exit..."; 
		clear; 
		exit & killall Terminal;;
		*) echo "Invalid Option.  Try another one."; continue;;
	esac
done
fi
